Summary:	Ragel State Machine Compiler
Summary(pl.UTF-8):	Ragel State Machine Compiler - kompilator automatów
Name:		ragel
Version:	7.0.4
Release:	1
License:	MIT
Group:		Development/Tools
Source0:	http://www.colm.net/files/ragel/%{name}-%{version}.tar.gz
# Source0-md5:	2ca4f5507c1923bcf9a7909baa8254d3
URL:		http://www.colm.net/open-source/ragel/
BuildRequires:	asciidoc
BuildRequires:	colm = 0.14.7
BuildRequires:	colm-devel = 0.14.7
BuildRequires:	dblatex
BuildRequires:	rpm-build >= 4.6
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
BuildRequires:	texlive-format-pdflatex
BuildRequires:	texlive-xetex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ragel compiles finite state machines from regular languages into
runnable C code. Ragel state machines can not only recognize byte
sequences as regular expression machines do, but can also execute code
at arbitrary points in the recognition of a regular language. When you
wish to write down a regular language you start with some simple
regular language and build a bigger one using the regular language
operators union, concatenation, Kleene star, intersection and
subtraction. This is precisely the way you describe to Ragel how to
compile your finite state machines. Ragel also understands operators
that insert function calls into machines and operators that control
any non-determinism in machines.

%description -l pl.UTF-8
Ragel kompiluje automaty skończone z języków regularnych do
działającego kodu w C. Automaty Ragela nie tylko rozpoznają sekwencje
bajtów, jak robią to automaty wyrażeń regularnych, ale także wykonują
kod w dowolnych miejscach podczas rozpoznawania języka regularnego.
Aby napisać język regularny zaczyna się od prostego języka regularnego
i buduje większy przy użyciu operatorów sumy, złączenia, dopełnienia
Kleene'a, przecięcia i odejmowania. Jest to dokładnie taki sposób, w
jaki opisuje się Ragelowi jak kompilować automaty skończone. Ragel
rozumie także operatory wstawiające wywołania funkcji do automatów i
operatory sterujące niedeterminizmem w automatach.

%package doc
Summary:	Documentation for Ragel
Summary(pl.UTF-8):	Dokumentacja do pakietu Ragel
Group:		Documentation
BuildArch:	noarch

%description doc
Documentation for Ragel.

%description doc -l pl.UTF-8
Dokumentacja do pakietu Ragel.

%package -n vim-syntax-ragel
Summary:	Vim syntax file for Ragel
Summary(pl.UTF-8):	Plik składni Vima dla pakietu Ragel
Group:		Applications/Editors
Requires:	vim-rt
BuildArch:	noarch

%description -n vim-syntax-ragel
Vim syntax file for Ragel.

%description -n vim-syntax-ragel -l pl.UTF-8
Plik składni Vima dla pakietu Ragel.

%prep
%setup -q

%build
%configure \
	CPPFLAGS="%{rpmcppflags} -I/usr/include/aapl" \
	COLM=/usr/bin/colm \
	COLM_WRAP=/usr/bin/colm-wrap \
	COLM_SHARE=/usr/share/colm \
	LIBCOLM_LA="-lcolm" \
	LIBFSM_LA="-lfsm" \
	--datadir=%{_datadir}/ragel \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# API not exported
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libragel.{so,la}

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/ragel/ragel-guide.*

install -d $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax
%{__mv} $RPM_BUILD_ROOT%{_docdir}/ragel/ragel.vim $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/syntax

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_bindir}/ragel
%attr(755,root,root) %{_bindir}/ragel-asm
%attr(755,root,root) %{_bindir}/ragel-c
%attr(755,root,root) %{_bindir}/ragel-crack
%attr(755,root,root) %{_bindir}/ragel-csharp
%attr(755,root,root) %{_bindir}/ragel-d
%attr(755,root,root) %{_bindir}/ragel-go
%attr(755,root,root) %{_bindir}/ragel-java
%attr(755,root,root) %{_bindir}/ragel-js
%attr(755,root,root) %{_bindir}/ragel-julia
%attr(755,root,root) %{_bindir}/ragel-ocaml
%attr(755,root,root) %{_bindir}/ragel-ruby
%attr(755,root,root) %{_bindir}/ragel-rust
%attr(755,root,root) %{_libdir}/libragel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libragel.so.0
%{_datadir}/ragel
%{_mandir}/man1/ragel.1*

%files doc
%defattr(644,root,root,755)
%doc doc/ragel/{ragel-guide.html,*.png}

%files -n vim-syntax-ragel
%defattr(644,root,root,755)
%{_datadir}/vim/vimfiles/syntax/ragel.vim
%changelog
* Fri May 21 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ragel.git;a=log;h=master

* Fri May 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 510f730
- added some docs BRs

* Fri May 21 2021 Jakub Bogusz <qboosh@pld-linux.org> cfb9c47
- updated to 7.0.4
- added noarch -doc and vim-syntax- packages

* Tue Feb 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 9af7546
- updated to 6.10

* Tue Jun 10 2014 Jakub Bogusz <qboosh@pld-linux.org> d98b156
- new URLs, updated to 6.8

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 2237989
- up to 6.7

* Tue May 19 2009 aredridel <aredridel@pld-linux.org> 55c27e4
- 6.5

* Sun Aug 31 2008 aredridel <aredridel@pld-linux.org> d0bc676
- 6.3

* Tue Dec 25 2007 zbyniu <zbyniu@pld-linux.org> 78d5507
- up to 5.25

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ccb1330
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 963cfde
- converted to UTF-8

* Sat Jan 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 9acded5
- pl

* Wed Jan 24 2007 aredridel <aredridel@pld-linux.org> 6e68e54
- added

